<?php

/**
* PHP versions 5
*
* LICENSE: This source file is subject to version 3.0 of the PHP license
* that is available through the world-wide-web at the following URI:
* http://www.php.net/license. If you did not receive a copy of
* the PHP License and are unable to obtain it through the web, please
* send a note to license@php.net so we can mail you a copy immediately.
*
* @package    QuickTicket
* @author     Philippe Vandenberghe <info@qt-cute.org>
* @copyright  2008-2012 The PHP Group
* @version    2.5 build:20101222
*/

session_start();
require_once('bin/qti_init.php');
include(Translate('qti_adm.php'));
include(Translate('qtim_rss.php'));
if ( $oVIP->role!='A' ) die($L['E_admin']);

// INITIALISE

$oVIP->selfurl = 'qtim_rss_adm.php';
$oVIP->selfname = $L['rss']['Admin'];
$strPageversion = $L['Version'].' 2.5';

// --------
// SUBMITTED
// --------

if ( isset($_POST['ok']) )
{
  // check others
  if ( empty($error) )
  {
    $_SESSION[QT]['m_rss'] = $_POST['rss'];
    $_SESSION[QT]['m_rss_conf'] = $_POST['rssuser'].' '.$_POST['rssformat'].' '.$_POST['rsssize'];
  }

  // save value
  if ( empty($error) )
  {
    $oDB->Query('UPDATE '.TABSETTING.' SET setting="'.$_SESSION[QT]['m_rss'].'" WHERE param="m_rss"');
    $oDB->Query('UPDATE '.TABSETTING.' SET setting="'.$_SESSION[QT]['m_rss_conf'].'" WHERE param="m_rss_conf"');
    // exit
    $strInfo = $L['S_save'];
  }
}

// --------
// HTML START
// --------

include('qti_adm_p_header.php');

// read values
if ( !isset($_SESSION[QT]['m_rss_conf']) )
{
  $arr = GetParam(true,'param="m_rss_conf"');
  if ( empty($arr) ) die('<span class="error">Parameters not found. The module is probably not installed properly.</span><br /><br /><a href="qti_adm_index.php">&laquo;&nbsp;'.$L['Exit'].'</a>');
}
if ( !isset($_SESSION[QT]['m_rss']) )
{
  $arr = GetParam(true,'param="m_rss"');
  if ( empty($arr) ) die('<span class="error">Parameters not found. The module is probably not installed properly.</span><br /><br /><a href="qti_adm_index.php">&laquo;&nbsp;'.$L['Exit'].'</a>');
}

$arrConf = explode(' ',$_SESSION[QT]['m_rss_conf']);
$strUser = $arrConf[0];
$strForm = $arrConf[1];
$strSize = $arrConf[2];

// FORM

echo '
<form method="post" action="',$oVIP->selfurl,'">
';

echo '<h2>',$L['Status'],'</h2>';
echo '<table class="data_o" cellspacing="0" summary="rss status">';
echo '<tr class="data_o">';
echo '<td class="colhd colhdfirst" style="width:200px;"><span class="txt_head">',$L['Status'],'</span></td>';
if ($_SESSION[QT]['m_rss']=='1')
{
echo '<td class="colct center" style="background-color:#AAFFAA"><b>',$L['On_line'],'</b></td>';
}
else
{
echo '<td class="colct center" style="background-color:#FFAAAA"><b>',$L['Off_line'],'</b></td>';
}
echo '<td class="colct" style="text-align:right">',$L['Change'],'&nbsp;<select id="rss" name="rss"><option value="1"',($_SESSION[QT]['m_rss']=='1' ? QSEL : ''),'>',$L['On_line'],'</option><option value="0"',($_SESSION[QT]['m_rss']=='0' ? QSEL : ''),'>',$L['Off_line'],'</option></select></td>';
echo '</tr>';
echo '</table>
';
echo '<h2>',$L['Adm_settings'],'</h2>',N;
echo '<table class="data_o" cellspacing="0" summary="rss settings">',N;
echo '<tr class="data_o">',N;
echo '<td class="colhd colhdfirst" style="width:200px"><label for="rssuser">',$L['rss']['User'],'</label></td>';
echo '<td class="colct"><select id="rssuser" name="rssuser">';
echo '<option value="V"',($strUser=='V' ? QSEL : ''),'>',$L['rss']['All_users'],'</option>';
echo '<option value="U"',($strUser=='U' ? QSEL : ''),'>',$L['rss']['Members_only'],'</option>';
echo '</select></td>';
echo '<td class="colct"><span class="help">',$L['rss']['H_User'],'</span></td>';
echo '</tr>',N;
echo '<tr class="data_o">',N;
echo '<td class="colhd colhdfirst"><label for="rssformat">',$L['Format'],'</label></td>';
echo '<td class="colct"><select id="rssformat" name="rssformat">';
echo '<option value="2"',($strForm=='2' ? QSEL : ''),'>RSS 2.0</option>';
echo '<option value="atom"',($strForm=='atom' ? QSEL : ''),'>Atom</option>';
echo '</select></td>';
echo '<td class="colct"><span class="help">',$L['rss']['H_Format'],'</span></td>';
echo '</tr>',N;
echo '<tr class="data_o">',N;
echo '<td class="colhd colhdfirst"><label for="rsssize">',$L['rss']['Size'],'</label></td>';
echo '<td class="colct"><select id="rsssize" name="rsssize">';
echo '<option value="1"',($strSize=='1' ? QSEL : ''),'>1</option>';
echo '<option value="2"',($strSize=='2' ? QSEL : ''),'>2</option>';
echo '<option value="3"',($strSize=='3' ? QSEL : ''),'>3</option>';
echo '<option value="4"',($strSize=='4' ? QSEL : ''),'>4</option>';
echo '<option value="5"',($strSize=='5' ? QSEL : ''),'>5</option>';
echo '</select></td>';
echo '<td class="colct"><span class="help">',$L['rss']['H_Size'],'</span></td>';
echo '</tr>',N;
echo '<tr class="data_o">',N;
echo '<td class="colhd colhdfirst">&nbsp;</td>';
echo '<td class="colct"><input type="submit" name="ok" value="',$L['Save'],'" /></td>';
echo '<td class="colct">&nbsp;</td>';
echo '</td>
</tr>
</table>
</form>
';

$strRssUrl = $_SESSION[QT]['site_url'].'/rss';
$arrSections = GetSections('V');
$arrRss = array();
foreach($arrSections as $s=>$arrSection)
{
if ( file_exists('rss/qti_'.$strForm.'_'.$s.'.xml') ) $arrRss[$s]=$strRssUrl.'/qti_'.$strForm.'_'.$s.'.xml';
}

if ( count($arrRss)>0 )
{
  echo '<h2>',$L['Preview'],'</h2>',N;
  echo '<table class="data_t" cellspacing="0" summary="Last feeds">',N;
  foreach($arrRss as $s=>$strRss)
  {
  echo '<tr class="data_t rowlight"><td class="colct">',$arrSections[$s]['title'],'</td><td class="colct"><a class="small" href="',$strRss,'" target="_blank">',$strRss,'</a></td></tr>';
  }
  echo '</table>';
  echo '<p class="small">The feeds remain accessible when the module is off-line.</p>';
}

// HTML END

include('qti_adm_p_footer.php');

?>